name: workflow_dispatch # Name of workflow

on:
  workflow_dispatch:
    inputs:
      username:
        description: 'Username'
        default: 'Hang'
        required: true
        type: string
      age:
        description: 'Age'
        required: true
        type: number

jobs:
  echo-username-age: # Name of job
    runs-on: ubuntu-latest
    steps:
      - name: Echo Username and Age
        run: |
          echo "Username: ${{ inputs.username }}"
          echo "Age: ${{ inputs.age }}"
